| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csImageIOFileFormatDescription Struct Reference
[2D]

Description for a file format supported by an image loader. More...

`#include <igraphic/imageio.h>`

List of all members.

## Public Attributes
int | cap
| a combination of CS_IMAGEIO_* flags
const char * | mime
| mime type of image, e.g. "image/png"
const char * | subtype
| descriptive format specifier, e.g. "8 bit palettized"

## Detailed Description

Description for a file format supported by an image loader.

Definition at line 49 of file imageio.h.

## Member Data Documentation

int csImageIOFileFormatDescription::cap

a combination of CS_IMAGEIO_* flags

Definition at line 56 of file imageio.h.

const char* csImageIOFileFormatDescription::mime

mime type of image, e.g. "image/png"

Definition at line 52 of file imageio.h.

const char* csImageIOFileFormatDescription::subtype

descriptive format specifier, e.g. "8 bit palettized"

Definition at line 54 of file imageio.h.

The documentation for this struct was generated from the following file:

- igraphic/imageio.h